Bug 789636 - [abrt] claws-mail-3.8.0-1.fc16: IMAP -> offline mode ->_int_memalign: Process /usr/bin/claws-mail was killed by signal 11 (SIGSEGV)
Summary: [abrt] claws-mail-3.8.0-1.fc16: IMAP -> offline mode ->_int_memalign: Process...
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: claws-mail
Version: 16
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Andreas Bierfert
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:9b7ac64c41e615103d5dc44f886...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-02-11 22:40 UTC by Doug Fordham
Modified: 2013-02-13 08:51 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-02-13 08:51:02 UTC
Type: ---


Attachments (Terms of Use)
File: dso_list (12.29 KB, text/plain)
2012-02-11 22:40 UTC, Doug Fordham
no flags Details
File: build_ids (5.25 KB, text/plain)
2012-02-11 22:40 UTC, Doug Fordham
no flags Details
File: xsession_errors (7.06 KB, text/plain)
2012-02-11 22:40 UTC, Doug Fordham
no flags Details
File: maps (56.23 KB, text/plain)
2012-02-11 22:40 UTC, Doug Fordham
no flags Details
File: backtrace (121.27 KB, text/plain)
2012-02-11 22:40 UTC, Doug Fordham
no flags Details

Description Doug Fordham 2012-02-11 22:40:23 UTC
libreport version: 2.0.8
abrt_version:   2.0.7
backtrace_rating: 4
cmdline:        claws-mail
comment:        Clicked on Inbox icon within an account folder. Cursor "spun" for about 30 secs, then application crashed. Attempted to reproduce...no joy. Mailing list does document that there are intermittent issues with large Gmail IMAP folders.
crash_function: _int_memalign
executable:     /usr/bin/claws-mail
kernel:         3.2.5-3.fc16.x86_64
pid:            19014
pwd:            /home/stonecritter
reason:         Process /usr/bin/claws-mail was killed by signal 11 (SIGSEGV)
time:           Sat 11 Feb 2012 05:02:59 PM EST
uid:            1000
username:       stonecritter

backtrace:      Text file, 124183 bytes
build_ids:      Text file, 5371 bytes
dso_list:       Text file, 12586 bytes
maps:           Text file, 57584 bytes
xsession_errors: Text file, 7229 bytes

environ:
:XDG_VTNR=1
:SSH_AGENT_PID=1589
:XDG_SESSION_ID=2
:SAL_USE_VCLPLUGIN=gtk
:HOSTNAME=stonecritter.localdomain
:IMSETTINGS_INTEGRATE_DESKTOP=yes
:XDG_MENU_PREFIX=lxde-
:SHELL=/bin/bash
:TERM=dumb
:XDG_SESSION_COOKIE=135f6b8d91f2b4a983cf598b00000010-1328943462.927995-1062435360
:HISTSIZE=1000
:GNOME_KEYRING_CONTROL=/tmp/keyring-DBbZT5
:IMSETTINGS_MODULE=none
:USER=stonecritter
:SSH_AUTH_SOCK=/tmp/ssh-HdNQcIEl1451/agent.1451
:USERNAME=stonecritter
:PATH=/usr/local/bin:/usr/bin:/bin:/usr/local/sbin:/usr/sbin:/sbin:/home/stonecritter/.local/bin:/home/stonecritter/bin
:DESKTOP_SESSION=LXDE
:MAIL=/var/spool/mail/stonecritter
:QT_IM_MODULE=xim
:PWD=/home/stonecritter
:XMODIFIERS=@im=none
:GNOME_KEYRING_PID=1447
:LANG=en_US.UTF-8
:GDMSESSION=LXDE
:HISTCONTROL=ignoredups
:SSH_ASKPASS=/usr/libexec/openssh/gnome-ssh-askpass
:HOME=/home/stonecritter
:XDG_SEAT=seat0
:SHLVL=1
:XDG_CONFIG_HOME=/home/stonecritter/.config
:LOGNAME=stonecritter
:DBUS_SESSION_BUS_ADDRESS=unix:abstract=/tmp/dbus-ELDuCFVHt6,guid=6a837d81fb314764346b6e0800000047
:'LESSOPEN=||/usr/bin/lesspipe.sh %s'
:WINDOWPATH=1
:XDG_RUNTIME_DIR=/run/user/stonecritter
:DISPLAY=:0
:XAUTHORITY=/var/run/gdm/auth-for-stonecritter-nNN12q/database
:_LXSESSION_PID=1451
:XDG_CURRENT_DESKTOP=LXDE

var_log_messages:
:Feb 11 09:58:08 stonecritter yum[17787]: Installed: claws-mail-3.8.0-1.fc16.x86_64
:Feb 11 10:00:28 stonecritter yum[17872]: Installed: claws-mail-plugins-archive-3.8.0-1.fc16.x86_64
:Feb 11 10:00:57 stonecritter yum[17877]: Installed: claws-mail-plugins-address-keeper-3.8.0-1.fc16.x86_64
:Feb 11 10:01:53 stonecritter yum[17899]: Installed: claws-mail-plugins-fancy-3.8.0-1.fc16.x86_64
:Feb 11 10:02:17 stonecritter yum[17902]: Installed: claws-mail-plugins-fetchinfo-3.8.0-1.fc16.x86_64
:Feb 11 10:02:36 stonecritter yum[17905]: Installed: claws-mail-plugins-gdata-3.8.0-1.fc16.x86_64
:Feb 11 10:02:57 stonecritter yum[17908]: Installed: claws-mail-plugins-geolocation-3.8.0-1.fc16.x86_64
:Feb 11 10:03:20 stonecritter yum[17911]: Installed: claws-mail-plugins-notification-3.8.0-1.fc16.x86_64
:Feb 11 10:03:40 stonecritter yum[17914]: Installed: claws-mail-plugins-pgp-3.8.0-1.fc16.x86_64
:Feb 11 10:04:07 stonecritter yum[17918]: Installed: claws-mail-plugins-smime-3.8.0-1.fc16.x86_64
:Feb 11 10:04:20 stonecritter yum[17921]: Installed: claws-mail-plugins-vcalendar-3.8.0-1.fc16.x86_64
:Feb 11 17:02:59 stonecritter kernel: [54388.019821] claws-mail[19014]: segfault at 10 ip 00000033e187e2f8 sp 00007ffffc8e31a0 error 4 in libc-2.14.90.so[33e1800000+1ab000]
:Feb 11 17:03:00 stonecritter abrt[19241]: Saved core dump of pid 19014 (/usr/bin/claws-mail) to /var/spool/abrt/ccpp-2012-02-11-17:02:59-19014 (37208064 bytes)

Comment 1 Doug Fordham 2012-02-11 22:40:26 UTC
Created attachment 561151 [details]
File: dso_list

Comment 2 Doug Fordham 2012-02-11 22:40:28 UTC
Created attachment 561152 [details]
File: build_ids

Comment 3 Doug Fordham 2012-02-11 22:40:37 UTC
Created attachment 561153 [details]
File: xsession_errors

Comment 4 Doug Fordham 2012-02-11 22:40:39 UTC
Created attachment 561154 [details]
File: maps

Comment 5 Doug Fordham 2012-02-11 22:40:42 UTC
Created attachment 561155 [details]
File: backtrace

Comment 6 Michael Schwendt 2012-02-11 22:51:47 UTC
Almost. ;) The backtrace you've attached tells a different story:

| #57 0x0000000000476a19 in alertpanel_create (title=<optimized out>,
| message=0x2ea6060 "Claws Mail needs network access in order to access
| the IMAP server.\n\nYou're working offline. Override for 10 minutes?",

Activating offline mode (or losing network access) while Claws Mail is busy handling IMAP, leads to crashes as a side-effect, e.g. due to heap corruption. For example, but not limited to bug 569478. There are several open tickets, also upstream.

Comment 7 Doug Fordham 2012-02-11 23:28:04 UTC
Interesting...network connectivity was maintained (surfing with Firefox while Claws-Mail was busy), and I don't remember clicking the offline/online icon -- but definitely could have.

I see, as you point out,  "Claws Mail needs network access in order to access the IMAP server." in #57-#59; should have read the backtrace more closely -- lack of attention to detail is somewhat embarrassing;o)

Read your upstream bug report...and, if the event reoccurs, will test the reproduction steps.

Thanks...

Comment 8 abrt-bot 2012-03-30 13:09:49 UTC
Backtrace analysis found this bug to be similar to bug #759143, closing as duplicate.

Bugs which were found to be similar to this bug: 
  DeviceKit-disks: bug #579968
  claws-mail: bug #696680, bug #749177
  evince: bug #615380
  evolution: bug #744469
  evolution-data-server: bug #607960, bug #799718
  evolution-exchange: bug #669649
  gnome-shell: bug #759143, bug #781780
  gvfs: bug #571349
  pcmanfm: bug #789628
  rhythmbox: bug #681163, bug #709834, bug #748661
  xfce4-sensors-plugin: bug #772409

This comment is automatically generated.

*** This bug has been marked as a duplicate of bug 759143 ***

Comment 9 Michael Schwendt 2012-04-03 13:36:07 UTC
http://lists.fedoraproject.org/pipermail/devel/2012-March/165113.html

| Agreed, this one looks like a false positive.  We are going to fix the
| scripts to ignore glib memory management functions.
|
| If you reopen the bug, it will not be touched by the scripts again.

Comment 10 Fedora End Of Life 2013-01-16 10:17:03 UTC
This message is a reminder that Fedora 16 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 16. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '16'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 16's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 16 is end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" and open it against that version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 11 Fedora End Of Life 2013-02-13 08:51:04 UTC
Fedora 16 changed to end-of-life (EOL) status on 2013-02-12. Fedora 16 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.